package com.gic.haoban.manage.api.dto.welcome.qdto;

import java.io.Serializable;

/**
 * desc：保存欢迎语媒体qdto
 *
 * @author: YongEn
 * @date: 2022/2/11
 **/
public class SaveWelcomeMediaQDTO implements Serializable {
    private static final long serialVersionUID = 5292835528434173702L;
    /**
     * 媒体标题
     */
    private String mediaTitle;
    /**
     * 媒体路径
     */
    private String mediaUrl;
    /**
     * 小程序页面路径
     */
    private String miniProgramPage;
    /**
     * 媒体类型
     * @see com.gic.haoban.manage.api.enums.WelcomeMediaTypeEnum
     */
    private Integer mediaType;
    /**
     * 媒体资源大小
     */
    private String mediaSize;
    /**
     * 小程序id,仅类型为5小程序时需要传
     */
    private String  miniprogramSettingId;

    public String getMediaTitle() {
        return mediaTitle;
    }

    public void setMediaTitle(String mediaTitle) {
        this.mediaTitle = mediaTitle;
    }

    public String getMediaUrl() {
        return mediaUrl;
    }

    public void setMediaUrl(String mediaUrl) {
        this.mediaUrl = mediaUrl;
    }

    public String getMiniProgramPage() {
        return miniProgramPage;
    }

    public void setMiniProgramPage(String miniProgramPage) {
        this.miniProgramPage = miniProgramPage;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getMediaSize() {
        return mediaSize;
    }

    public void setMediaSize(String mediaSize) {
        this.mediaSize = mediaSize;
    }

    public String getMiniprogramSettingId() {
        return miniprogramSettingId;
    }

    public void setMiniprogramSettingId(String miniprogramSettingId) {
        this.miniprogramSettingId = miniprogramSettingId;
    }

    @Override
    public String toString() {
        return "SaveWelcomeMediaQDTO{" +
                "mediaTitle='" + mediaTitle + '\'' +
                ", mediaUrl='" + mediaUrl + '\'' +
                ", mediaType=" + mediaType +
                '}';
    }
}
